Subject: Car
From: Kay price <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Thu, 7 Feb 2013 14:02:59 -0600

I did get the parts for my car installed. Thanks. The Prius really is an amazing car. Basically change the oil is about it. I think the 2015 models will give 90 mpg and have a whole new generation change. Maybe we should upgrade then?  I do have 87,000 miles now. 

No I don't think that email is correct, just another conspiracy email. I get those a lot.

Lots of slushy mess here that I have been shoveling. The snow is really wet.

Char is going full speed ahead on Circus World idea. When you next get up there see if you can see where we would go, which building, etc. I think you know that guy much better than Char does. 

I have been very busy. Mediations all day tomorrow. I if you are around on Monday the Nelson's will be in town for lunch at Leystra's at 11:30. They didn't come as planned before due to weather. 

Kay